package com.windofkeltia.utilities;

/**
 * @author Russell Bateman
 * @since February 2023
 */
public class StringUtilities
{
  /**
   * Insert enough spaces at the beginning of the string passed to make it begin
   * indented <tt>width</tt> spaces.
   * @param string the string.
   * @param width the number of spaces to insert.
   * @return the modified string.
   */
  public static String padStringLeft( String string, int width )
  {
    // treat null string as if empty string...
    if( string == null )
      string = "";

    width -= string.length();
    /* This can happen, why? because width coming in is a very low
     * number (often like 0) resulting in width going negative.
     */
    if( width < 0 )
      return string;

    StringBuilder sb = new StringBuilder();
    while( width-- > 0 )
      sb.append( ' ' );
    return sb.append( string ).toString();
  }
}
