package com.windofkeltia.utilities;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import org.junit.rules.TestName;

/**
 * @author Russell Bateman
 * @since February 2023
 */
public class TestUtilities
{
  public static final boolean VERBOSE = false;

  public static void setUp( TestName name )
  {
    String testName  = name.getMethodName();
    int    PAD       = 100;
    int    nameWidth = testName.length();
    System.out.print( "\nTest: " + testName + " " );
    PAD -= nameWidth;
    while( PAD-- > 0 )
      System.out.print( "-" );
    System.out.println();
  }

  public static String TEST_RESOURCES = "src/test/resources/";

  public static String getLinesFromFile( final String pathname ) throws IOException
  {
    StringBuilder sb = new StringBuilder();

    try ( BufferedReader br = new BufferedReader( new FileReader( TEST_RESOURCES + pathname ) ) )
    {
      for( String line = br.readLine(); line != null; line = br.readLine() )
        sb.append( line ).append( '\n' );
    }

    return sb.toString();
  }
}
